Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 652)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 653)
@@ -208,7 +208,7 @@
 		if(this.getResult().getChartsEngine() != this.getSWTChartsComponentsProvider().getChartsEngine())	{
 			this.getEditorInput().setSWTChartsComponentsProvider(SWTChartsComponentsProvider.getComponentsProvider(this.getResult().getChartsEngine()));
 			this.getSWTChartsComponentsProvider().setChartsEngine(this.getResult().getChartsEngine());
-			System.err.println("ChartEditor.__updateEditorFromResult(): charts engine used to create the chart is not the current one. The SWT components provider has been changed to match it: " + this.getSWTChartsComponentsProvider() + ".");
+			System.err.println("ChartEditor.__updateEditorFromResult(): charts engine used to create the chart does not match the editor one. The SWT components provider has been changed to match it: " + this.getSWTChartsComponentsProvider() + ".");
 			
 			// recreating the chart composite
 			Composite parent = this.chartComposite.getParent();
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/test/CQPBenchmark.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/test/CQPBenchmark.groovy	(revision 652)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/test/CQPBenchmark.groovy	(revision 653)
@@ -104,7 +104,7 @@
 	// INFORMATIONS
 	print " INFO"
 	time = System.currentTimeMillis();
-	Diagnostic diag = new Diagnostic(corpus, 20)
+	Information diag = new Information(corpus, 20)
 	diag.stepGeneralInfos();
 	diag.stepLexicalProperties();
 	diag.stepStructuralUnits();
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/test/ReleaseFunctionsValidation.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/test/ReleaseFunctionsValidation.groovy	(revision 652)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/test/ReleaseFunctionsValidation.groovy	(revision 653)
@@ -6,7 +6,7 @@
 //import org.txm.concordance.core.functions.*
 //import org.txm.concordance.core.functions.comparators.*
 //import org.txm.functions.cooccurrences.Cooccurrence
-//import org.txm.functions.diagnostic.*
+//import org.txm.searchengine.cqp.core.functions.information.*
 //import org.txm.functions.index.*
 //import org.txm.functions.referencer.Referencer
 //import org.txm.functions.specificities.*
@@ -48,7 +48,7 @@
 //
 //// INFORMATIONS
 //time = System.currentTimeMillis();
-//Diagnostic diag = new Diagnostic(discours, 20)
+//Information diag = new Information(discours, 20)
 //diag.stepGeneralInfos();
 //diag.stepLexicalProperties();
 //diag.stepStructuralUnits();
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/ComputeInformation.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/ComputeInformation.java	(revision 0)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/ComputeInformation.java	(revision 653)
@@ -0,0 +1,106 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.searchengine.cqp.rcp.handlers;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.swt.SWT;
+import org.eclipse.ui.IWorkbenchPage;
+import org.eclipse.ui.PartInitException;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.rcp.RCPMessages;
+import org.txm.rcp.TXMWindows;
+import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.editors.TXMResultEditorInput;
+import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.core.functions.information.Information;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.rcp.editors.InformationEditor;
+import org.txm.utils.logger.Log;
+
+// TODO: Auto-generated Javadoc
+/**
+ * Call the function Information on a MainCorpus, a SubCorpus and a Partition
+ * show basic stats and give some properties values 
+ * @author mdecorde.
+ */
+public class ComputeInformation extends AbstractHandler {
+	
+	// adds a double click listener to the Corpus View
+	static	{
+		CorporaView.addDoubleClickListener(Information.class, ComputeInformation.class);
+	}
+	
+	/** The selection. */
+	private IStructuredSelection selection;
+	
+	/** The response. */
+	int response = SWT.YES;
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		if (!CQPEngine.isInitialized()) {
+			System.out.println("SearchEngine is not ready. Aborting.");
+			return false;
+		}
+		
+		Object sel = HandlerUtil.getCurrentSelection(event);
+		if (!(sel instanceof IStructuredSelection)) {
+			Log.warning(RCPMessages.ComputeDiagnostic_0);
+			return null;
+		}
+		
+		selection = (IStructuredSelection) sel;
+		Object s = selection.getFirstElement();
+		Information diag = null;
+		if (s instanceof Corpus) {
+			diag = new Information((Corpus)s);
+		} else if (s instanceof Information) {
+			diag = (Information)s;
+		} else {
+			System.out.println("Selection not managed: "+s);
+		}
+		try {
+			open(diag);
+		} catch (PartInitException e) {
+			System.out.println("Error while opening editor: "+e.getLocalizedMessage());
+			Log.printStackTrace(e);
+		}
+		return null;
+	}
+	
+	public static void open(Information diag) throws PartInitException {
+		TXMEditor.openEditor(diag, InformationEditor.class.getName());
+	}
+}

Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java	(revision 0)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java	(revision 653)
@@ -0,0 +1,167 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.searchengine.cqp.rcp.handlers.base;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.jface.window.Window;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.ui.IWorkbenchWindow;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.Toolbox;
+import org.txm.rcp.JobsTimer;
+import org.txm.rcp.RCPMessages;
+import org.txm.rcp.actions.CreateSubcorpusDialog;
+import org.txm.rcp.utils.JobHandler;
+import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.Subcorpus;
+import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.utils.logger.Log;
+
+// TODO: Auto-generated Javadoc
+/**
+ * Command which creates a subcorpus from a Corpus @ author mdecorde.
+ */
+public class CreateSubCorpus extends AbstractHandler {
+
+	/** The selection. */
+	private IStructuredSelection selection;
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		
+		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+		if (selection == null) {
+			System.out.println(RCPMessages.CreateSubCorpus_1+HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
+			return null;
+		}
+		Object firstElement = selection.getFirstElement();
+		
+		if (!(firstElement instanceof Corpus)) {
+			System.out.println(RCPMessages.CreateSubCorpus_3+firstElement);
+			return null;
+		}
+		
+		final Corpus corpus = (Corpus) firstElement;
+		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event)
+				.getShell();
+		final CreateSubcorpusDialog d = new CreateSubcorpusDialog(shell, corpus);
+		int code = d.open();
+		if (code == Window.OK) {
+			JobHandler jobhandler = new JobHandler(NLS.bind(
+					RCPMessages.CreateSubCorpus_create, corpus.getName())) {
+				@Override
+				protected IStatus run(IProgressMonitor monitor) {		
+					this.runInit(monitor);
+					JobsTimer.start();
+					try {
+						monitor.beginTask(RCPMessages.CreateSubCorpus_begin, 100);
+						final Subcorpus subcorpus;
+
+						if (d.isAdvancedSelected() || d.isAssistedSelected()) {
+							Query q = new Query(d.getQuery());
+							System.out.println(NLS.bind(RCPMessages.CreateSubcorpus_9,
+								corpus.getName(), q.getQueryString())); 
+							subcorpus = corpus.createSubcorpus(q, d.getName());
+						} 
+						else {
+							System.out.println(NLS.bind(RCPMessages.CreateSubcorpus_7,
+							new Object[]{corpus.getName(), d.getStructuralUnit(),
+									d.getStructuralUnitProperty(), d.getValues()}));
+							
+							//Escape regex char of prop values
+							//List<String> values = d.getValues();
+							//for(int i = 0 ; i < values.size() ; i++)
+							//	values.set(i, Query.addBackSlash(values.get(i)));
+							
+							subcorpus = corpus.createSubcorpus(d
+									.getStructuralUnit(), d
+									.getStructuralUnitProperty(),
+									d.getValues(), d.getName());
+
+						}
+						
+						if(subcorpus == null)
+						{
+							monitor.done();
+							System.out.println(RCPMessages.CreateSubCorpus_0);
+							return Status.CANCEL_STATUS;
+						}
+						
+						System.out.println(NLS.bind(RCPMessages.CreateSubcorpus_8
+								, subcorpus.getName()));
+						monitor.worked(50);
+
+						monitor.subTask(RCPMessages.RefreshingCorporaView);
+						syncExec(new Runnable() {
+							@Override
+							public void run() {
+								CorporaView.refresh();
+								//System.out.println("expand");
+								CorporaView.expand(subcorpus.getParent());
+							}
+						});
+
+						monitor.worked(100);
+					} catch (ThreadDeath td) {
+						return Status.CANCEL_STATUS;
+					} catch (CqiClientException e) {
+						org.txm.rcp.utils.Logger.printStackTrace(e);
+						Log.severe(e.toString());
+						
+						try {
+							System.out.println(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+						} catch (Exception e1) {
+							System.out.println(RCPMessages.CreateSubCorpus_2+e1);
+							org.txm.rcp.utils.Logger.printStackTrace(e1);
+						}
+					} finally {
+						monitor.done();
+						JobsTimer.stopAndPrint();
+					}				
+					return Status.OK_STATUS;
+				}
+			};
+			jobhandler.startJob();
+		}
+		return null;
+	}
+
+}

Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreatePartition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreatePartition.java	(revision 0)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreatePartition.java	(revision 653)
@@ -0,0 +1,131 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.searchengine.cqp.rcp.handlers.base;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.jface.window.Window;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.ui.IWorkbenchWindow;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.rcp.JobsTimer;
+import org.txm.rcp.RCPMessages;
+import org.txm.rcp.actions.CreatePartitionDialog;
+import org.txm.rcp.utils.JobHandler;
+import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.Partition;
+
+// TODO: Auto-generated Javadoc
+/**
+ * Command which creates a Partition from a Corpus @ author mdecorde.
+ */
+public class CreatePartition extends AbstractHandler {
+
+	/** The window. */
+	private IWorkbenchWindow window;
+
+	/** The selection. */
+	private IStructuredSelection selection;
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see
+	 * org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands
+	 * .ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+
+		final Corpus corpus = (Corpus) selection.getFirstElement();
+		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event)
+				.getShell();
+		final CreatePartitionDialog d = new CreatePartitionDialog(shell, corpus);
+		int code = d.open();
+		if (code == Window.OK) {
+			try {
+				JobHandler jobhandler = new JobHandler(NLS.bind(
+						RCPMessages.CreatePartition_0, corpus.getName())) {
+					@Override
+					protected IStatus run(IProgressMonitor monitor) {
+						this.runInit(monitor);
+						try {
+							JobsTimer.start();
+							monitor.beginTask(
+									NLS.bind(RCPMessages.CreatePartition_0,
+											corpus.getName()), 100);
+							System.out.println(NLS.bind(
+									RCPMessages.CreatePartition_0,
+									corpus.getName()));
+							final Partition partition = d.getPartition();
+							if (partition == null) {
+								monitor.done();
+								System.out.println(RCPMessages.CreatePartition_2);
+								return Status.CANCEL_STATUS;
+							}
+							System.out.println(NLS.bind(
+									RCPMessages.CreatePartition_6,
+									partition.getNPart()));
+							monitor.worked(95);
+
+							monitor.subTask(RCPMessages.RefreshingCorporaView);
+							syncExec(new Runnable() {
+								@Override
+								public void run() {
+									CorporaView.refresh();
+									CorporaView.expand(partition.getParent());
+								}
+							});
+							monitor.worked(100);
+						} catch (ThreadDeath td) {
+							return Status.CANCEL_STATUS;
+						} finally {
+							monitor.done();
+							JobsTimer.stopAndPrint();
+						}
+						return Status.OK_STATUS;
+					}
+				};
+				jobhandler.startJob();
+
+			} catch (Exception e) {
+				System.err.println(NLS.bind(RCPMessages.Error_creating_partition,
+						e));
+			}
+		}
+		return null;
+	}
+}

Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ExportCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ExportCorpus.java	(revision 0)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ExportCorpus.java	(revision 653)
@@ -0,0 +1,145 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.searchengine.cqp.rcp.handlers.base;
+
+import java.io.File;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.jface.dialogs.MessageDialog;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.widgets.FileDialog;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.Toolbox;
+import org.txm.core.preferences.TBXPreferences;
+import org.txm.rcp.RCPMessages;
+import org.txm.rcp.swt.dialog.LastOpened;
+import org.txm.rcp.utils.JobHandler;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
+
+// TODO: Auto-generated Javadoc
+/**
+ * Call the function Information on a MainCorpus, a SubCorpus and a Partition
+ * show basic stats and give some properties values @ author mdecorde.
+ */
+public class ExportCorpus extends AbstractHandler {
+
+	public final static String ID = "org.txm.rcp.commands.base.ExportCorpus"; //$NON-NLS-1$
+	/** The selection. */
+	private IStructuredSelection selection;
+
+	/** The lastopenedfile. */
+	private static String lastopenedfile;
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see
+	 * org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands
+	 * .ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+
+		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event)
+				.getShell();
+
+		String txmhome = Toolbox.getTXMHOMEPATH();
+		if (!(selection.getFirstElement() instanceof MainCorpus))
+			return null;
+
+		final MainCorpus corpus = (MainCorpus) selection.getFirstElement();
+
+		if (corpus.isModified()) {
+			boolean ret = MessageDialog.openConfirm(shell, "Export - "+corpus.getName()+" annotations not saved", "Do you wish to export without the current annotations?\n\n(to include the current annotations in the exported corpus, you need to save them before calling the \"Export\" command)");
+			if (!ret) return null;
+		}
+		
+		FileDialog dialog = new FileDialog(shell, SWT.SAVE);
+		String[] exts = {"*.txm", "*.zip"}; //$NON-NLS-1$ //$NON-NLS-2$
+		dialog.setFilterExtensions(exts);
+		if (LastOpened.getFile(ID) != null) {
+			lastopenedfile = LastOpened.getFolder(ID)
+					+ "/" + LastOpened.getFile(ID); //$NON-NLS-1$
+		} else if (lastopenedfile != null) {
+			dialog.setFilterPath(new File(lastopenedfile).getAbsolutePath());
+		} else {
+			dialog.setFilterPath(txmhome + "/samples"); //$NON-NLS-1$
+		}
+
+		dialog.setFileName(corpus.getName()+".txm");
+		
+		if (dialog.open() != null) {
+			String filepath = dialog.getFilterPath()
+					+ "/" + dialog.getFileName(); //$NON-NLS-1$
+			if (!(filepath.endsWith(".txm") || filepath.endsWith(".zip"))) { //$NON-NLS-1$ //$NON-NLS-2$
+				filepath += ".txm"; //$NON-NLS-1$
+			}
+			LastOpened.set(ID, dialog.getFilterPath(), dialog.getFileName());
+			lastopenedfile = filepath;
+			final File outfile = new File(filepath);
+			JobHandler jobhandler = new JobHandler(NLS.bind(
+					RCPMessages.ExportCorpus_3, corpus.getName())) {
+				@Override
+				protected IStatus run(IProgressMonitor monitor) {
+					this.runInit(monitor);
+					try {
+						monitor.beginTask(
+								NLS.bind(RCPMessages.ExportCorpus_3,
+										corpus.getName()), 100);
+						
+
+						if (!corpus.export(outfile, this)) {
+							System.out.println(NLS.bind(
+									RCPMessages.ExportCorpus_0, corpus.getName()));
+						}
+
+						System.out.println(RCPMessages.bind(RCPMessages.ExportCorpus_4,outfile.getAbsolutePath()));
+						monitor.worked(100);
+					} catch (ThreadDeath td) {
+						return Status.CANCEL_STATUS;
+					} finally {
+						monitor.done();
+					}
+					return Status.OK_STATUS;
+				}
+			};
+			jobhandler.startJob();
+		}
+
+		return null;
+	}
+}

Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/OpenBiblio.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/OpenBiblio.java	(revision 0)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/OpenBiblio.java	(revision 653)
@@ -0,0 +1,145 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.searchengine.cqp.rcp.handlers.base;
+
+import java.util.ArrayList;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.jface.window.Window;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.objects.Text;
+import org.txm.rcp.RCPMessages;
+import org.txm.rcp.commands.OpenBrowser;
+import org.txm.rcp.editors.TXMBrowser;
+import org.txm.rcp.swt.dialog.ComboDialog;
+import org.txm.searchengine.cqp.corpus.Corpus;
+/**
+ * Open a text edition from: a main corpus : the first text of the maincorpus a
+ * sub-corpus : the first text of the subcorpus a partition : the user must
+ * choose one of the text used in the partition
+ * 
+ * note: unplugged for now
+ *  
+ * @author mdecorde.
+ */
+public class OpenBiblio extends AbstractHandler {
+
+	/** The Constant ID. */
+	public final static String ID = "org.txm.rcp.commands.base.OpenBiblio"; //$NON-NLS-1$
+
+	/** The lastopenedfile. */
+	public static String lastopenedfile;
+
+	/** The textids. */
+	private ArrayList<String> textids;
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+
+		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+
+		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
+
+		if (selection.getFirstElement() instanceof Corpus) {
+			Corpus corpus = (Corpus) selection.getFirstElement();
+
+			textids = new ArrayList<String>(corpus.getTextsID());
+			if (textids.size() == 0)
+			{
+				System.out.println(NLS.bind(RCPMessages.OpenBiblio_1, corpus.getName()));
+				return null;
+			}
+
+			ComboDialog dialog = new ComboDialog(shell, RCPMessages.OpenBiblio_2, textids, textids.get(0));
+			if (dialog.open() == Window.OK)
+			{
+				String textid = dialog.getSelectedValue();
+				openBiblio(corpus, textid);
+			}
+		}
+		else if (selection.getFirstElement() instanceof Text)
+		{
+			Text text = (Text) selection.getFirstElement();
+			openBiblio(text);
+		}
+		return null;
+	}
+
+	/**
+	 * Open biblio.
+	 *
+	 * @param base the base
+	 * @param textid the textid
+	 * @return the object
+	 */
+	public Object openBiblio(Corpus corpus, String textid ) {
+
+		Text text = corpus.getMainCorpus().getText(textid);
+		if (text == null) {
+			System.out.println(NLS.bind(RCPMessages.OpenBiblio_7, textid, corpus.getName()));
+			return null;
+		}
+
+		return openBiblio(text);
+	}
+
+	/**
+	 * Open biblio.
+	 *
+	 * @param text the text
+	 * @return the object
+	 */
+	public Object openBiblio(Text text) {
+
+		if (text == null)
+		{
+			return null;
+		}
+		if (text.getBiblioPath() == null) {
+			System.out.println(NLS.bind(RCPMessages.OpenBiblio_9, text.getName()));
+			return null;
+		}
+		String url = text.getBiblioPath().toString();
+		if (url.trim().length() == 0) {
+			System.out.println(NLS.bind(RCPMessages.OpenBiblio_9, text.getName()));
+			return null;
+		}
+		TXMBrowser attachedBrowserEditor = OpenBrowser.openEdition(url);
+		//attachedBrowserEditor.setCorpus(text.getCorpus());
+		return null;
+	}
+
+}

Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/InformationAdapterFactory.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/InformationAdapterFactory.java	(revision 0)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/InformationAdapterFactory.java	(revision 653)
@@ -0,0 +1,40 @@
+// Copyright © 2010-2013 ENS de Lyon.
+package org.txm.searchengine.cqp.rcp.adapters;
+
+import org.eclipse.jface.resource.ImageDescriptor;
+import org.eclipse.ui.model.IWorkbenchAdapter;
+import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.osgi.framework.FrameworkUtil;
+import org.txm.rcp.adapters.TXMResultAdapter;
+import org.txm.rcp.adapters.TXMResultAdapterFactory;
+import org.txm.searchengine.cqp.core.functions.information.Information;
+
+
+/**
+ * 
+ *  
+ * @author mdecorde
+ * @author sjacquot
+ */
+public class InformationAdapterFactory extends TXMResultAdapterFactory {
+
+	public static final ImageDescriptor ICON =
+			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(InformationAdapterFactory.class).getSymbolicName(),
+					"platform:/plugin/"+ FrameworkUtil.getBundle(InformationAdapterFactory.class).getSymbolicName() + "/icons/functions/information.png"); //$NON-NLS-1$ //$NON-NLS-2$
+
+	@Override
+	public Object getAdapter(Object adaptableObject, Class adapterType) {
+		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Information)	{
+			return new TXMResultAdapter() {
+				@Override
+				public ImageDescriptor getImageDescriptor(Object object) {
+					if (object instanceof Information) {
+							return ICON;
+					}
+					return null;
+				}
+			};
+		}
+		return null;
+	}
+}

Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java	(revision 0)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java	(revision 653)
@@ -0,0 +1,26 @@
+package org.txm.searchengine.cqp.rcp.messages;
+
+import org.txm.utils.messages.Utf8NLS;
+
+public class CQPUIMessages extends Utf8NLS {
+	
+	private static final String BUNDLE_NAME = "org.txm.searchengine.cqp.rcp.messages.messages"; //$NON-NLS-1$
+	
+	public static String CQPPreferenceInitializer_0;
+	public static String CQPPreferenceInitializer_1;
+	public static String CQPPreferencePage_0;
+	public static String CQPPreferencePage_1;
+	public static String CQPPreferencePage_10;
+	public static String CQPPreferencePage_11;
+	public static String CQPPreferencePage_12;
+	public static String CQPPreferencePage_13;
+	public static String CQPPreferencePage_14;
+	public static String CQPPreferencePage_15;
+	public static String CQPPreferencePage_16;
+	public static String CQPPreferencePage_17;
+	public static String CQPPreferencePage_18;
+	
+	static {
+		Utf8NLS.initializeMessages(CQPUIMessages.class);
+	}
+}

